Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # Intel® IXP4XX Product Line Access Layer API & Codelet File List Here is a list of all documented files with brief descriptions:
EthAal5User.h [code] | This file contains user declaration
ix_error.h [code] |
ix_macros.h [code] |
ix_os_type.h [code] |
ix_ossl.h [code] |
ix_symbols.h [code] |
ix_types.h [code] |
IxAdsl.h [code] | Header file for the ADSL Driver
IxAssert.h [code] | This file contains assert and ensure macros used by the IXP425 software
IxAtmCodelet.h [code] | IxAtmCodelet scenarios header file
IxAtmCodelet_p.h [code] | Private header file for the IXP425 Atm codelet
IxAtmdAcc.h [code] | IxAtmdAcc Public API
IxAtmdAccCtrl.h [code] | IxAtmdAcc Public API
IxAtmm.h [code] | Header file for the IXP425 ATM Manager component (IxAtmm)
IxAtmSch.h [code] | Header file for the IXP425 ATM Traffic Shaper
IxAtmTypes.h [code] | This file contains Atm types common to a number of Atm components
IxDmaAcc.h [code] | API of the IXP425 DMA Access Driver Component (IxDma)
IxDmaAccCodelet.h [code] | This file contains the interface for the Dma Access Codelet
IxDmaAccCodelet_p.h [code] | This file contains some private data structures and defines for the Dma Access Codelet
IxEthAal5App.h [code] | This file contains the declaration of the IxEthAal5App component's main functions, etc
IxEthAal5App_p.h [code] | This file contains the private declaration of the IxEthAal5App component's main functions, utilities, etc
IxEthAcc.h [code] | This file contains the public API of IXP425 Ethernet Access (IxEthAcc) API component
IxEthAccCodelet.h [code] | This file contains the interface for the Ethernet Access Codelet
IxEthAccCodelet_p.h [code] | This file contains some private data structures and defines for the Ethernet Access Codelet
IxEthDB.h [code] | This file contains the public API of IXP425 Ethernet Database (IxEthDB) API component
IxEthDBPortDefs.h [code] | Private MAC learning API
IxEthMii.h [code] | This file contains the public API of IXP425 Ethernet Phy Access (IxEthMii) API component
IxEthNpe.h [code] |
IxFeatureCtrl.h [code] | This file contains the public API of the IXP425 Feature Control component
IxHssAcc.h [code] | This file contains the public API of the IXP425 HSS Access component
IxHssAccCodelet.h [code] | This file contains the interface for the HSS Access Codelet
IxHssAccCodelet_p.h [code] |
IxHssAccCodeletChan.h [code] |
IxHssAccCodeletCom.h [code] |
IxHssAccCodeletConfig.h [code] |
IxHssAccCodeletMbuf.h [code] |
IxHssAccCodeletPkt.h [code] |
IxNpeA.h [code] | Header file for the IXP425 ATM NPE API
IxNpeDl.h [code] | This file contains the public API of the IXP425 NPE Downloader component
IxNpeMh.h [code] | This file contains the public API for the IXP425 NPE Message Handler component
IxOsBuffMgt.h [code] | This file includes the OS dependant MBUF header files
IxOsBuffPoolMgt.h [code] | This file contains the mbuf pool implementation API
IxOsBufLib.h [code] | This file contains the mbuf pool initialisation entry point
IxOsCacheMMU.h [code] | This file contains the API of the component
IxOsServices.h [code] | This file contains the API of the IXP425 OS Services (IxOsServices) API component
IxOsServicesComponents.h [code] | Header file for memory access
IxOsServicesEndianess.h [code] | Header file for determining system endianess and OS
IxOsServicesMemAccess.h [code] | Header file for memory access
IxOsServicesMemMap.h [code] | Header file for memory access maps
IxPerfProfAcc.h [code] | Header file for the IXP425 Perf Prof component (IxPerfProfAcc)
IxPerfProfAccCodelet.h [code] |
IxQMgr.h [code] | This file contains the public API of IxQMgr component
IxTimerCtrl.h [code] | This is the header file for the Timer Control component
IxTimersCodelet.h [code] | Header file for the IXP425 hardware timers
IxTimersCodelet_p.h [code] | Private header file for the IXP425 hardware timers
IxTimersCodeletMain.h [code] | Header file for the IXP425 timers demo
IxTypes.h [code] | This file contains basic types used by the IXP425 software
IxUART.h [code] | Public header for the Intel IXP425 internal UART, generic driver
IxUSBRNDIS.h [code] | Include file for the IXP425 USB RNDIS implementation
IxUSBRNDISEnd.h [code] |
IxUSBRNDISVendor.h [code] |
IxVersionId.h [code] | This file contains the IXP400 Software version identifier
os_datatypes.h [code] |
usb.h [code] | This file contains the public API of the IXP425 USB Driver
usbbasictypes.h [code] | This temporary file contains basic types used by the USB driver
usbconfig.h [code] | This temporary file containes the USB driver's component configuration
usbconstants.h [code] | This file containes the constants used by the USB driver
usbdeviceparam.h [code] | This file containes the USB device parameters used by the USB driver
usbdriverparam.h [code] | This file containes the USB driver parameters used by the USB driver
usberrors.h [code] | This file containes USB driver error codes
usbmacros.h [code] | This file containes macros used by the USB driver implementation
usbprivate.h [code] |
usbprivateconstants.h [code] |
usbprivatedata.h [code] | This file contains the public API of the IXP425 USB Driver
usbprivatetypes.h [code] |
usbstd.h [code] |
usbtest.h [code] |
usbtypes.h [code] | This file contains the public USB Driver data types
Automatically generated from sources. © Intel Corp. 2003